--- man/lsz.1.orig	1998-04-26 08:22:41.000000000 -0500
+++ man/lsz.1	2018-08-23 22:32:28.000000000 -0500
@@ -5,30 +5,30 @@
 .SH NAME
 sx, sb, sz \- XMODEM, YMODEM, ZMODEM file send
 .SH SYNOPSIS
-sz
+.B sz
 .RB [\- +8abdefkLlNnopqTtuvyY ]
 .I file ...
 .br
-sb
+.B sb
 .RB [\- adfkqtuv ]
 .I file ...
 .br
-sx
+.B sx
 .RB [\- akqtuv ]
 .I file
 .br
-sz
+.B sz
 .RB [\- oqtv ]
 .B "-c COMMAND"
 .br
-sz
+.B sz
 .RB [\- oqtv ]
 .B "-i COMMAND"
 .br
-sz -TT
+.B sz -TT
 .SH DESCRIPTION
 .B Sz
-uses the ZMODEM, YMODEM or XMODEM error correcting protocol to send
+uses the ZMODEM, YMODEM or XMODEM error-correcting protocol to send
 one or more files over a dial-in serial port to a variety of programs running under
 PC-DOS, CP/M, Unix, VMS, and other operating systems.
 
@@ -56,13 +56,13 @@
 ZMODEM provides complete
 .B "END-TO-END"
 data integrity between application programs.
-ZMODEM's 32 bit CRC catches errors
+ZMODEM's 32-bit CRC catches errors
 that sneak into even the most advanced networks.
 
 Advanced file management features include
-AutoDownload (Automatic file Download initiated without user intervention),
-Display of individual and total file lengths and transmission time estimates,
-Crash Recovery,
+AutoDownload (automatic file download initiated without user intervention),
+display of individual and total file lengths and transmission time estimates,
+crash recovery,
 selective file transfers,
 and preservation of
 exact file date and length.
@@ -106,7 +106,7 @@
 (Professional-YAM
 .B g
 option)
-increases throughput over error free channels
+increases throughput over error-free channels
 (direct connection, X.PC, etc.)
 by not acknowledging each transmitted sector.
 
@@ -128,12 +128,12 @@
 or
 .B XMODEM-1k
 protocol
-(sometimes incorrectly called "ymodem").
+(sometimes incorrectly called "YMODEM").
 The user must supply the file name to both sending and receiving programs.
 
 If
 .B sz
-is invoked with $SHELL set and iff that variable contains the
+is invoked with $SHELL set and if that variable contains the
 string
 .I "rsh"
 ,
@@ -163,7 +163,7 @@
 
 The sixth form (sz -TT)
 attempts to output all 256 code combinations to the terminal.
-In you are having difficulty sending files,
+If you are having difficulty sending files,
 this command lets you see which character codes are being
 eaten by the operating system.
 
@@ -174,7 +174,7 @@
 Verbose is set to 2, causing frame by frame progress reports
 to stderr.
 This may be disabled with the
-.B q
+.B -q
 option.
 .PP
 The meanings of the available options are:
@@ -186,18 +186,19 @@
 (ZMODEM only).
 .TP 
 .B "-2, --twostop"
-use two stop bits (if possible). Do not use this unless you know
+Use two stop bits (if possible). Do not use this unless you know
 what you are doing.
 .TP
 .B "-8, --try-8k"
-Try to go up to 8KB blocksize. This is incompatible with standard zmodem,
-but a common extension in the bbs world. (ZMODEM only).
+Try to go up to 8KB blocksize. This is incompatible with standard ZMODEM,
+but a common extension in the BBS world. (ZMODEM only).
 .TP
 .B "--start-8k"
-Start with 8KB blocksize. Like --try-8k.
+Start with 8KB blocksize. Like
+.BR --try-8k .
 .TP
 .B "-a, --ascii"
-Convert NL characters in the transmitted file to CR/LF.
+Convert LF characters in the transmitted file to CR/LF.
 This is done by the sender for XMODEM and YMODEM, by the receiver
 for ZMODEM.
 .TP
@@ -207,25 +208,27 @@
 .B "-B NUMBER, --bufsize NUMBER"
 Use a readbuffer of 
 .B NUMBER
-bytes. Default ist 16384, which should be enough
+bytes. Default is 16384, which should be enough
 for most situations. If you have a slow machine or a bad disk interface
 or suffer from other hardware problems you might want to increase
 the buffersize.
 .B -1
 or
 .B auto
-use a buffer large enough to buffer the whole file. Be careful with this
+uses a buffer large enough to buffer the whole file. Be careful with this
 option - things normally get worse, not better, if the machine starts
 to swap.
 
-Using this option turns of memory mapping of the input file. This
-increases memory and cpu usage.
+Using this option turns off memory mapping of the input file. This
+increases memory and CPU usage.
 .TP
 .B "-c COMMAND, --command COMMAND"
 Send COMMAND to the receiver for execution, return with COMMAND\'s exit status.
 .TP
 .B "-C N, --command-tries N"
-Retry to send command N times (default: 11).
+Retry to send command
+.B N
+times (default: 11).
 .TP
 .B "-d, --dot-to-slash"
 Change all instances of "." to "/" in the transmitted pathname.
@@ -246,51 +249,63 @@
 .B "-e, --escape"
 Escape all control characters;
 normally XON, XOFF, DLE, CR-@-CR, and Ctrl-X are escaped.
-.TP 
-.B"-E, --rename"
+.TP
+.B "-E, --rename"
 Force the sender to rename the new file if a file with the same
 name already exists.
 .TP
 .B "-f, --full-path"
-Send Full pathname.
+Send full pathname.
 Normally directory prefixes are stripped from the transmitted
 filename.
 
-This is also turned on with to 
+This is also turned on with the
 .B "--dot-to-slash"
 option.
 .TP
 .B "-h, --help"
-give help.
+Give help screen.
 .TP
 .B "-i COMMAND, --immediate-command COMMAND"
 Send COMMAND to the receiver for execution, return immediately
-upon the receiving program's successful recption of the command.
+upon the receiving program's successful reception of the command.
 .TP
 .B "-k, --1k"
-(XMODEM/YMODEM) Send files using 1024 byte blocks
-rather than the default 128 byte blocks.
-1024 byte packets speed file transfers at high bit rates.
+(XMODEM/YMODEM) Send files using 1024-byte blocks
+rather than the default 128-byte blocks.
+1024-byte packets speed file transfers at high bit rates.
 (ZMODEM streams the data for the best possible throughput.)
 .TP
 .B "-L N, --packetlen N"
-Use ZMODEM sub-packets of length N.
-A larger N (32 <= N <= 1024) gives slightly higher throughput,
-a smaller N speeds error recovery.
+Use ZMODEM sub-packets of length
+.BR N .
+A larger
+.B N
+(32 <=
+.B N
+<= 1024) gives slightly higher throughput; a smaller
+.B N
+speeds error recovery.
 The default is 128 below 300 baud, 256 above 300 baud, or 1024 above 2400 baud.
 .TP 
 .B "-m N, --min-bps N"
-Stop transmission if BPS-Rate (Bytes Per Second) falls below N for a 
-certain time (see --min-bps-time option).
+Stop transmission if BPS-rate (bytes per second) falls below
+.B N
+for a certain time (see
+.B --min-bps-time
+option).
 .TP
 .B "-M N, --min-bps-time"
-Used together with --min-bps. Default is 120 (seconds).
+Used together with
+.BR --min-bps .
+Default is 120 (seconds).
 .TP
 .B "-l N, --framelen N"
 Wait for the receiver to acknowledge correct data every
 .B N
-(32 <= N <= 1024)
-characters.
+(32 <=
+.B N
+<= 1024) characters.
 This may be used to avoid network overrun when XOFF flow control is lacking.
 .TP
 .B "-n, --newer"
@@ -306,7 +321,7 @@
 source file is newer or longer than the destination file.
 .TP
 .B "-o, --16-bit-crc"
-(ZMODEM) Disable automatic selection of 32 bit CRC.
+(ZMODEM) Disable automatic selection of 32-bit CRC.
 .TP
 .B "-O, --disable-timeouts"
 Disable read timeout handling. This makes lsz hang if the other side
@@ -321,7 +336,7 @@
 destination file exists.
 .TP
 .B "-q, --quiet"
-Quiet suppresses verbosity.
+Suppress verbosity.
 .TP
 .B "-R, --restricted"
 Restricted mode: restricts pathnames to the current directory and
@@ -348,18 +363,18 @@
 seconds.
 .TP
 .B "-S, --timesync"
-enable timesync protocol support. See timesync.doc for further 
+Enable timesync protocol support. See timesync.doc for further 
 information.
 
-This option is incompatible with standard zmodem. Use it with care.
+This option is incompatible with standard ZMODEM. Use it with care.
 .TP
 .B "--syslog[=off]"
-turn syslogging on or off. the default is set at configure time.
+Turn syslogging on or off. The default is set at configure time.
 This option is ignored if no syslog support is compiled in.
 .TP
 .B "-t TIM, --timeout TIM"
 Change timeout to
-.I TIM
+.B TIM
 tenths of seconds.
 .TP
 .B "-T, --turbo"
@@ -369,22 +384,22 @@
 through a terminal server).
 .TP
 .B "--tcp"
-Try to initiate a TCP/IP connection. lsz will ask the receiving zmodem
+Try to initiate a TCP/IP connection. lsz will ask the receiving ZMODEM
 to open a TCP/IP connection. All handshaking (which address / port to
-use) will be done by the zmodem programs.
+use) will be done by the ZMODEM programs.
 
 You will normally not want to use this option as lrzsz is the only
-zmodem which understands what to do (private extension). You might
+ZMODEM which understands what to do (private extension). You might
 want to use this option if the two programs are connected
-(stdin/out) over a slow or bad (not 8bit clean) network connection.
+(stdin/out) over a slow or bad (not 8-bit clean) network connection.
 
-Use of this option imposes a security risk, somebody else could connect
+Use of this option imposes a security risk, as somebody else could connect
 to the port in between. See
 .B SECURITY
 for details.
 .TP
 .B "--tcp-client ADDRESS:PORT"
-Act as a tcp/ip client: Connect to the given port.
+Act as a TCP/IP client: Connect to the given port.
 
 See
 .B "--tcp-server"
@@ -395,8 +410,8 @@
 Act as a server: Open a socket, print out what to do, wait for connection.
 
 You will normally not want to use this option as lrzsz is the only
-zmodem which understands what to do (private extension). You might
-want to use this if you have to use zmodem (for which reason whatever),
+ZMODEM which understands what to do (private extension). You might
+want to use this if you have to use ZMODEM (for which reason whatever),
 and cannot use the
 .B --tcp
 option of
@@ -411,7 +426,7 @@
 option.
 .I lrz will print the address and port on startup.
 
-Use of this option imposes a security risk, somebody else could connect
+Use of this option imposes a security risk, as somebody else could connect
 to the port in between. See
 .B SECURITY
 for details.
@@ -421,17 +436,19 @@
 Unlink the file after successful transmission.
 .TP
 .B "-U, --unrestrict"
-Turn off restricted mode (this is not possible if running under a 
+Turn off restricted mode. (This is not possible if running under a
 restricted shell).
 .TP
 .B "-w N, --windowsize N"
-Limit the transmit window size to N bytes (ZMODEM).
+Limit the transmit window size to
+.B N
+bytes (ZMODEM).
 .TP
 .B "-v, --verbose"
 Verbose output to stderr. More v's generate more output.
 .TP
 .B "-X, --xmodem"
-use XMODEM protocol.
+Use XMODEM protocol.
 .TP
 .B "-y, --overwrite"
 Instruct a ZMODEM receiving program to overwrite any existing file
@@ -444,10 +461,10 @@
 pathname on the destination system.
 .TP
 .B "--ymodem"
-use ZMODEM protocol.
+Use YMODEM protocol.
 .TP
 .B "-Z, --zmodem"
-use ZMODEM protocol.
+Use ZMODEM protocol.
 .PD
 .SH SECURITY
 Restricted mode restricts pathnames to the current directory
@@ -456,22 +473,23 @@
 execution.
 
 Restricted mode is entered if the 
-.B R
+.B -R
 option is given or if lsz detects that it runs under a restricted
-shell or if the environment variable ZMODEM_RESTRICTED is found.
+shell or if the environment variable
+.B ZMODEM_RESTRICTED
+is found.
 
-Restricted mode can be turned of with the 
-.B U
+Restricted mode can be turned off with the
+.B -U
 option if not running under a restricted shell.
 
-.TP
 Use of the
 .B --tcp-client
 or
 .B --tcp-server
 options imposes a security risk, as somebody else could connect to
-the port before you do it, and grab your data. If there's strong
-demand for a more secure mode i might introduce some sort of
+the port before you do and grab your data. If there's strong
+demand for a more secure mode I might introduce some sort of
 password challenge.
 
 
@@ -494,9 +512,17 @@
 directory to place in the answer file to a 
 .B timesync 
 request.
+.TP
 .B TMP
-Used instead of TMPDIR if TMPDIR is not set. If neither TMPDIR nor
-TMP is set /tmp will be used.
+Used instead of
+.B TMPDIR
+if
+.B TMPDIR
+is not set. If neither
+.B TMPDIR
+nor
+.B TMP
+is set /tmp will be used.
 .SH EXAMPLES
 .ne 7
 .B "ZMODEM File Transfer"
@@ -507,9 +533,9 @@
 This single command transfers all .c files in the current Unix directory
 with conversion
 .RB ( \-a )
-to end of line conventions appropriate to the receiving environment.
+to end-of-line conventions appropriate to the receiving environment.
 With ZMODEM AutoDownload enabled, Professional-YAM  and ZCOMM
-will automatically recieve
+will automatically receive
 the files after performing a security check.
 
 .br
@@ -544,13 +570,13 @@
 transfers the
 .I .me
 files from the $YD directory, commanding the receiver to overwrite the old files
-and to convert from Unix end of line conventions to PC-DOS conventions.
+and to convert from Unix end-of-line conventions to PC-DOS conventions.
 The third line transfers some
 .I .exe
 files.
 The fourth and fifth lines command Pro-YAM to
 change directory and execute a PC-DOS batch file
-.I insms .
+.IR insms .
 Since the batch file takes considerable time, the
 .B "\-i"
 form is used to allow
@@ -574,7 +600,7 @@
 This combination is much slower and far less reliable than ZMODEM.
 .SH ERROR MESSAGES
 "Caught signal 99"
-indicates the program was not properly compiled,
+indicates the program was not properly compiled;
 refer to "bibi(99)" in rbsb.c for details.
 .SH SEE ALSO
 rz(omen),
@@ -592,14 +618,14 @@
 the source file.
 .SH "VMS VERSION"
 The VMS version does not support wild cards.
-Because of VMS DCL, upper case option letters muse be represented
-by \\ proceding the letter.
+Because of VMS DCL, upper case option letters must be represented
+by \\ preceding the letter.
 
 The current VMS version does not support XMODEM, XMODEM-1k, or YMODEM.
 
 VMS C Standard I/O and RMS may interact to modify the file contents.
 .SH FILES
-32 bit CRC code courtesy Gary S. Brown.
+32-bit CRC code courtesy Gary S. Brown.
 
 sz.c, crctab.c, rbsb.c, zm.c, zmodem.h Unix source files
 
@@ -634,7 +660,9 @@
 stops the "transfer" and
 prints the total number of characters "sent" (Tcount).
 The difference between Tcount and 5120 represents the number of characters
-stored in various buffers when the Attn sequence is generated.
+stored in various buffers when the
+.B Attn
+sequence is generated.
 .SH BUGS
 Calling
 .I sz
@@ -645,7 +673,9 @@
 
 On at least one BSD system, sz would hang or exit when it got within
 a few kilobytes of the end of file.
-Using the "-w 8192" flag fixed the problem.
+Using the
+.B "-w 8192"
+flag fixed the problem.
 The real cause is unknown, perhaps a bug in the kernel TTY output routines.
 
 Programs that do not properly implement the specified file transfer protocol
@@ -660,7 +690,7 @@
 and they often don't get that quite right.
 
 XMODEM transfers add up to 127 garbage bytes per file.
-XMODEM-1k and YMODEM-1k transfers use 128 byte blocks
+XMODEM-1k and YMODEM-1k transfers use 128-byte blocks
 to avoid extra padding.
 
 YMODEM programs use the file length transmitted at the beginning of the
@@ -673,16 +703,18 @@
 some do not implement all these options.
 
 Circular buffering and a ZMODEM sliding window should be used
-when input is from pipes instead of acknowledging frames each 1024 bytes.
+when input is from pipes instead of acknowledging frames every 1024 bytes.
 If no files can be opened,
 .B sz
 sends a ZMODEM command to echo a suitable complaint;
 perhaps it should check for the presence of at least one accessible file before
 getting hot and bothered.
-The test mode leaves a zero length file on the receiving system.
+The test mode leaves a zero-length file on the receiving system.
 
-A few high speed modems have a firmware bug that drops characters when the
-direction of high speed transmissson is reversed.
-The environment variable ZNULLS may be used to specify the number of nulls to
+A few high-speed modems have a firmware bug that drops characters when the
+direction of high-speed transmission is reversed.
+The environment variable
+.B ZNULLS
+may be used to specify the number of nulls to
 send before a ZDATA frame.
-Values of 101 for a 4.77 mHz PC and 124 for an AT are typical.
+Values of 101 for a 4.77 MHz PC and 124 for an AT are typical.
